using XGame.Framework.Nodes;

namespace FL.Nodes
{
    public class AppComponent : NodeComponent
    {
        public override void OnEnable(object intent)
        {
            Context.Tree.AddAsync(NodeKeys.GameMain);
        }
        public override void OnDisable()
        {
            Context.Tree.Remove(NodeKeys.GameMain);
        }
    }
}